<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Hardline/Scripts/3_game/dayzexpansion_hardline/settings/hardline/expansionhardlinesettings.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da5/a01424.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionhardlinesettings.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/da5/a01424_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d2b/a05181.html">ExpansionHardlineSettingsBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardline settings base class.  <a href="../../d1/d2b/a05181.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d22/a05185.html">ExpansionHardlineSettingsV2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad76e12e893e895b216b7bc313161c956"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ad76e12e893e895b216b7bc313161c956">ExpansionHardlineSettings</a> ()</td></tr>
<tr class="separator:ad76e12e893e895b216b7bc313161c956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c207d1a6c5eea63c6296925ace1d76"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#af2c207d1a6c5eea63c6296925ace1d76">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:af2c207d1a6c5eea63c6296925ace1d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a8f26e3b21fa656c6d6048f82cfb30a72">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e1bb835154c53dc853ba37e3166f024"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a8e1bb835154c53dc853ba37e3166f024">CopyInternal</a> (<a class="el" href="../../d6/d6f/a08057.html">ExpansionHardlineSettings</a> s)</td></tr>
<tr class="separator:a8e1bb835154c53dc853ba37e3166f024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49bbfc5fe015cd2940c69bcdfa592bfa"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a49bbfc5fe015cd2940c69bcdfa592bfa">CopyInternal</a> (<a class="el" href="../../d1/d2b/a05181.html">ExpansionHardlineSettingsBase</a> s)</td></tr>
<tr class="separator:a49bbfc5fe015cd2940c69bcdfa592bfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9eab3191d8b7cc0f5414602631292b8"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a> ()</td></tr>
<tr class="separator:ad9eab3191d8b7cc0f5414602631292b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064d4576e4b054e72d5de632a7d09a63"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a064d4576e4b054e72d5de632a7d09a63">Unload</a> ()</td></tr>
<tr class="separator:a064d4576e4b054e72d5de632a7d09a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3578afd97750bc428c2737e242dffd3d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a3578afd97750bc428c2737e242dffd3d">OnLoad</a> ()</td></tr>
<tr class="separator:a3578afd97750bc428c2737e242dffd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a9fb9cc278f9d90f49e9dd9ce5ce40d43">OnSave</a> ()</td></tr>
<tr class="separator:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11e21b32a7dc86b7de1044d01855cfcd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a11e21b32a7dc86b7de1044d01855cfcd">Update</a> (<a class="el" href="../../d5/df8/a04353.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a11e21b32a7dc86b7de1044d01855cfcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac06ab75f9e6f636d8b7c17685037667e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ac06ab75f9e6f636d8b7c17685037667e">Defaults</a> ()</td></tr>
<tr class="separator:ac06ab75f9e6f636d8b7c17685037667e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9695aaca21d0ca3446c09496a73f026b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a9695aaca21d0ca3446c09496a73f026b">DefaultItemRarity</a> ()</td></tr>
<tr class="separator:a9695aaca21d0ca3446c09496a73f026b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecfa14afcffcd521f2e962c96469ebf9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#aecfa14afcffcd521f2e962c96469ebf9">AddItem</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> type, <a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity)</td></tr>
<tr class="separator:aecfa14afcffcd521f2e962c96469ebf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a46ab2e61c4bb8c8b19c3aece63908a50">SettingName</a> ()</td></tr>
<tr class="separator:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6798abd8d1cb2613e2fc1a114a871aea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a6798abd8d1cb2613e2fc1a114a871aea">GetItemRarityByType</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> type)</td></tr>
<tr class="separator:a6798abd8d1cb2613e2fc1a114a871aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6a54f29723f9780c090e9d953b79ae0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ac6a54f29723f9780c090e9d953b79ae0">GetRank</a> (int humanity)</td></tr>
<tr class="separator:ac6a54f29723f9780c090e9d953b79ae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a134288928775703de7929406c8b7fd3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a134288928775703de7929406c8b7fd3a">GetRankRange</a> (int minHumanity, int maxHumanity, out <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> minRank, out <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> maxRank, out int minRankReq, out int maxRankReq)</td></tr>
<tr class="separator:a134288928775703de7929406c8b7fd3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a063069f3f1b979df98159f6d10e74583"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a063069f3f1b979df98159f6d10e74583">RankCheck</a> (int humanity, <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> rank, int rankReq, inout <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> rankOut, inout int rankReqOut)</td></tr>
<tr class="separator:a063069f3f1b979df98159f6d10e74583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43be9fc8f88f7a2154ee631a0ef494d8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a43be9fc8f88f7a2154ee631a0ef494d8">GetHumanityForRank</a> (<a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> rank)</td></tr>
<tr class="separator:a43be9fc8f88f7a2154ee631a0ef494d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af27eacf5b659c7c43447375b851fecd3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#af27eacf5b659c7c43447375b851fecd3">GetHumanityForRarity</a> (<a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity)</td></tr>
<tr class="separator:af27eacf5b659c7c43447375b851fecd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a61ffc112c21a192255309eb9d4b91f50"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d1/d2b/a05181.html">ExpansionHardlineSettingsBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a61ffc112c21a192255309eb9d4b91f50">HardlineItemDatas</a></td></tr>
<tr class="separator:a61ffc112c21a192255309eb9d4b91f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7f3f12eec91db3d075b758a47410f3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a8c7f3f12eec91db3d075b758a47410f3">UseItemRarity</a></td></tr>
<tr class="separator:a8c7f3f12eec91db3d075b758a47410f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48ea820d6b3acc7353b763034c772af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a> = 3</td></tr>
<tr class="separator:ae48ea820d6b3acc7353b763034c772af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0353f6c516ff908fa4fbb9e7273e58f3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a0353f6c516ff908fa4fbb9e7273e58f3">EnableItemRarity</a></td></tr>
<tr class="separator:a0353f6c516ff908fa4fbb9e7273e58f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea625c9f012627a70e95367bcc5f4e52"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#aea625c9f012627a70e95367bcc5f4e52">UseItemRarityForMarketPurchase</a></td></tr>
<tr class="separator:aea625c9f012627a70e95367bcc5f4e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3ab4998f8b2026500717f75af7904f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a0c3ab4998f8b2026500717f75af7904f">UseItemRarityForMarketSell</a></td></tr>
<tr class="separator:a0c3ab4998f8b2026500717f75af7904f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62560e357bf593fd57d1093e75f27507"><td class="memItemLeft" align="right" valign="top">ref map&lt; <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a62560e357bf593fd57d1093e75f27507">ItemRarity</a></td></tr>
<tr class="memdesc:a62560e357bf593fd57d1093e75f27507"><td class="mdescLeft">&#160;</td><td class="mdescRight">Needs to be always last.  <a href="../../d5/da5/a01424.html#a62560e357bf593fd57d1093e75f27507">More...</a><br /></td></tr>
<tr class="separator:a62560e357bf593fd57d1093e75f27507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da5/a01424.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a></td></tr>
<tr class="separator:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aecfa14afcffcd521f2e962c96469ebf9" name="aecfa14afcffcd521f2e962c96469ebf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecfa14afcffcd521f2e962c96469ebf9">&#9670;&#160;</a></span>AddItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a>&#160;</td>
          <td class="paramname"><em>rarity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01476">1476</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a8e1bb835154c53dc853ba37e3166f024" name="a8e1bb835154c53dc853ba37e3166f024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e1bb835154c53dc853ba37e3166f024">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6f/a08057.html">ExpansionHardlineSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00376">376</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a49bbfc5fe015cd2940c69bcdfa592bfa" name="a49bbfc5fe015cd2940c69bcdfa592bfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49bbfc5fe015cd2940c69bcdfa592bfa">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d2b/a05181.html">ExpansionHardlineSettingsBase</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00392">392</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a9695aaca21d0ca3446c09496a73f026b" name="a9695aaca21d0ca3446c09496a73f026b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9695aaca21d0ca3446c09496a73f026b">&#9670;&#160;</a></span>DefaultItemRarity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DefaultItemRarity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Ammo</p>
<p >Ammo boxes</p>
<p >Assault Rifles</p>
<p >Backbacks</p>
<p >Boots and Shoes</p>
<p >Buttstocks</p>
<p >Vanilla - Not released yet</p>
<p >Coats and Jackets</p>
<p >Containers</p>
<p >Crossbows</p>
<p >Electronics</p>
<p >EXPLOSIVE GRANADES</p>
<p >FLASHBANGS</p>
<p >SMOKE GRANADES</p>
<p >Ghillies</p>
<p >Gloves</p>
<p >Handguards</p>
<p >Hats</p>
<p >Helis</p>
<p >Helmets</p>
<p >Kits</p>
<p >Knifes</p>
<p >Launchers</p>
<p >Lights</p>
<p >Liquids</p>
<p >Locks</p>
<p >Masks</p>
<p >Meat</p>
<p >Medical</p>
<p >Melee</p>
<p >Compensators</p>
<p >Supressors</p>

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00607">607</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ac06ab75f9e6f636d8b7c17685037667e" name="ac06ab75f9e6f636d8b7c17685037667e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06ab75f9e6f636d8b7c17685037667e">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rank requirements</p>
<p >Hero ranks</p>
<p >Bandit ranks</p>
<p >Actions</p>
<p >Targets</p>
<p >Events</p>
<p >Item rarity rank requirements</p>

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00550">550</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ad76e12e893e895b216b7bc313161c956" name="ad76e12e893e895b216b7bc313161c956"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad76e12e893e895b216b7bc313161c956">&#9670;&#160;</a></span>ExpansionHardlineSettings()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d6/d6f/a08057.html">ExpansionHardlineSettings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00098">98</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a43be9fc8f88f7a2154ee631a0ef494d8" name="a43be9fc8f88f7a2154ee631a0ef494d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43be9fc8f88f7a2154ee631a0ef494d8">&#9670;&#160;</a></span>GetHumanityForRank()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GetHumanityForRank </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td>
          <td class="paramname"><em>rank</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01553">1553</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="af27eacf5b659c7c43447375b851fecd3" name="af27eacf5b659c7c43447375b851fecd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af27eacf5b659c7c43447375b851fecd3">&#9670;&#160;</a></span>GetHumanityForRarity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GetHumanityForRarity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a>&#160;</td>
          <td class="paramname"><em>rarity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01561">1561</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a6798abd8d1cb2613e2fc1a114a871aea" name="a6798abd8d1cb2613e2fc1a114a871aea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6798abd8d1cb2613e2fc1a114a871aea">&#9670;&#160;</a></span>GetItemRarityByType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> GetItemRarityByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01487">1487</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ac6a54f29723f9780c090e9d953b79ae0" name="ac6a54f29723f9780c090e9d953b79ae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6a54f29723f9780c090e9d953b79ae0">&#9670;&#160;</a></span>GetRank()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a> GetRank </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>humanity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01498">1498</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a134288928775703de7929406c8b7fd3a" name="a134288928775703de7929406c8b7fd3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a134288928775703de7929406c8b7fd3a">&#9670;&#160;</a></span>GetRankRange()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetRankRange </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minHumanity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxHumanity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td>
          <td class="paramname"><em>minRank</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td>
          <td class="paramname"><em>maxRank</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out int&#160;</td>
          <td class="paramname"><em>minRankReq</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out int&#160;</td>
          <td class="paramname"><em>maxRankReq</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01510">1510</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ad9eab3191d8b7cc0f5414602631292b8" name="ad9eab3191d8b7cc0f5414602631292b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9eab3191d8b7cc0f5414602631292b8">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00430">430</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a3578afd97750bc428c2737e242dffd3d" name="a3578afd97750bc428c2737e242dffd3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3578afd97750bc428c2737e242dffd3d">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Copy over old settings that haven't changed</p>
<p >Make sure item classnames are lowercase</p>

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00442">442</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ae3e27fdaa6ddb0d424626c1f0b3aad2e" name="ae3e27fdaa6ddb0d424626c1f0b3aad2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e27fdaa6ddb0d424626c1f0b3aad2e">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00104">104</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a9fb9cc278f9d90f49e9dd9ce5ce40d43" name="a9fb9cc278f9d90f49e9dd9ce5ce40d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fb9cc278f9d90f49e9dd9ce5ce40d43">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00528">528</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="af2c207d1a6c5eea63c6296925ace1d76" name="af2c207d1a6c5eea63c6296925ace1d76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2c207d1a6c5eea63c6296925ace1d76">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rank requirements</p>
<p >Hero ranks</p>
<p >Bandit ranks</p>

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00308">308</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a063069f3f1b979df98159f6d10e74583" name="a063069f3f1b979df98159f6d10e74583"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a063069f3f1b979df98159f6d10e74583">&#9670;&#160;</a></span>RankCheck()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RankCheck </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>humanity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td>
          <td class="paramname"><em>rank</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rankReq</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">inout <a class="el" href="../../d4/d3c/a01418.html#a3b71495ddc59f25c16e5b2daf514db52">ExpansionHardlineRank</a>&#160;</td>
          <td class="paramname"><em>rankOut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">inout int&#160;</td>
          <td class="paramname"><em>rankReqOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01538">1538</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a8f26e3b21fa656c6d6048f82cfb30a72" name="a8f26e3b21fa656c6d6048f82cfb30a72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f26e3b21fa656c6d6048f82cfb30a72">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override int Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00359">359</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a46ab2e61c4bb8c8b19c3aece63908a50" name="a46ab2e61c4bb8c8b19c3aece63908a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ab2e61c4bb8c8b19c3aece63908a50">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l01482">1482</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a064d4576e4b054e72d5de632a7d09a63" name="a064d4576e4b054e72d5de632a7d09a63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064d4576e4b054e72d5de632a7d09a63">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00436">436</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a11e21b32a7dc86b7de1044d01855cfcd" name="a11e21b32a7dc86b7de1044d01855cfcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11e21b32a7dc86b7de1044d01855cfcd">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/df8/a04353.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00538">538</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a0353f6c516ff908fa4fbb9e7273e58f3" name="a0353f6c516ff908fa4fbb9e7273e58f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0353f6c516ff908fa4fbb9e7273e58f3">&#9670;&#160;</a></span>EnableItemRarity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool EnableItemRarity</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00087">87</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a61ffc112c21a192255309eb9d4b91f50" name="a61ffc112c21a192255309eb9d4b91f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ffc112c21a192255309eb9d4b91f50">&#9670;&#160;</a></span>HardlineItemDatas</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d1/d2b/a05181.html">ExpansionHardlineSettingsBase</a> HardlineItemDatas</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62560e357bf593fd57d1093e75f27507" name="a62560e357bf593fd57d1093e75f27507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62560e357bf593fd57d1093e75f27507">&#9670;&#160;</a></span>ItemRarity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref map&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, <a class="el" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a>&gt; ItemRarity</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Needs to be always last. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00092">92</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a5521ad2d5fb3360b7943c9cbc422642a" name="a5521ad2d5fb3360b7943c9cbc422642a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5521ad2d5fb3360b7943c9cbc422642a">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private bool m_IsLoaded</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00095">95</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a8c7f3f12eec91db3d075b758a47410f3" name="a8c7f3f12eec91db3d075b758a47410f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7f3f12eec91db3d075b758a47410f3">&#9670;&#160;</a></span>UseItemRarity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UseItemRarity</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00077">77</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="aea625c9f012627a70e95367bcc5f4e52" name="aea625c9f012627a70e95367bcc5f4e52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea625c9f012627a70e95367bcc5f4e52">&#9670;&#160;</a></span>UseItemRarityForMarketPurchase</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UseItemRarityForMarketPurchase</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00088">88</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="a0c3ab4998f8b2026500717f75af7904f" name="a0c3ab4998f8b2026500717f75af7904f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c3ab4998f8b2026500717f75af7904f">&#9670;&#160;</a></span>UseItemRarityForMarketSell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UseItemRarityForMarketSell</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/da5/a01424_source.html#l00089">89</a> of file <a class="el" href="../../d5/da5/a01424_source.html">expansionhardlinesettings.c</a>.</p>

</div>
</div>
<a id="ae48ea820d6b3acc7353b763034c772af" name="ae48ea820d6b3acc7353b763034c772af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae48ea820d6b3acc7353b763034c772af">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VERSION = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_8f89211ef9a4afdd3d12a94e1d54a2ba.html">Hardline</a></li><li class="navelem"><a class="el" href="../../dir_d6262d0b66982b5ff6377647c75ed4bb.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_d73f4ce72b74bdb90bc663399ab0107a.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_eee39437cd87d591882842da5adfe2f9.html">dayzexpansion_hardline</a></li><li class="navelem"><a class="el" href="../../dir_398c646ae869bce0618655ac5dd2f888.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_12372ef612e2e925d05e0c4406282bab.html">hardline</a></li><li class="navelem"><a class="el" href="../../d5/da5/a01424.html">expansionhardlinesettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
